mb_substitute_character
mb_substr
Multibyte String Functions
PHP Manual

# mb_substr_count

(PHP 4 >= 4.3.0, PHP 5)

mb_substr_count — Count the number of substring occurrences

### Description

int mb_substr_count ( string `$haystack` , string `$needle` [, string `$encoding` ] )

Counts the number of times the `needle` substring occurs in the `haystack` string .

### Parameters

`haystack`

  The string being checked.

`needle`

  The string being found.

`encoding`

  The `encoding` parameter is the character encoding. If it is omitted, the internal character encoding value will be used.

### Return Values

The number of times the `needle` substring occurs in the `haystack` string .

### Examples

Example #1 mb_substr_count() example

`<?php
echo mb_substr_count("This is a test", "is"); // prints out 2
?>`

### See Also

- mb_strpos() - Find position of first occurrence of string in a string
- mb_substr() - Get part of string
- substr_count() - Count the number of substring occurrences

mb_substitute_character
mb_substr
Multibyte String Functions
PHP Manual